/* The Main Style */
/* Used In Many Cheese Websites */

body {
  background-image: url("../assets/Background.png");
  background-color: black;
  background-size: 50%;
  text-align: center;
  margin: 0;
  padding: 0;
  overflow-x: hidden;
}
.footer
{
  margin-bottom: 60px;
}
/* Menu Containers (Game Containers) */

img {
  image-rendering: pixelated;
  -ms-interpolation-mode: nearest-neighbor;
}
.menuContainer {
  text-align: center;
  background-color: #181717c4;
  width: 60%;
  aspect-ratio: 4/1;
  border: 2px ridge white;
  padding: 10px;
  margin: auto;
  display: flex;
  flex-wrap: wrap;
  white-space: normal;
  margin: auto;
  background-size: cover;
  background-position: center;
  justify-content: center;
  align-items: center;
  margin-bottom: 30px;
}
.logo {
  height: auto;
  object-fit: cover;
  max-width: 100%;
}
.h1 {
  padding: auto;
}

.menuContainer:hover {
  border: 4px ridge white;
  padding: 8px;
}

.marginText {
  margin: 1%;
}

/* Tooltip */
.tooltip {
  position: relative;
  display: inline-block;
}
.tooltip .tooltiptext {
  visibility: hidden;
  width: 240px;
  background-color: rgba(0, 0, 0, 0.7);
  color: #fff;
  text-align: center;
  border-radius: 6px;
  padding: 5px 0;
  font-size: 20px;

  /* Position the tooltip */
  position: absolute;
  z-index: 1;
  top: 100%;
  left: 50%;
  margin-left: -120px;
}
.tooltip:hover .tooltiptext {
  visibility: visible;
}

/* Golden Container (Unused) */

.goldenContainer {
  background-color: #735e1c;
  width: 500px;
  border: 20px ridge #d4af37;
  padding: 10px;
  margin: auto;
  display: block;
}
.goldenContainer h1 {
  color: #4a3b0f;
}
.goldenContainer:hover {
  border: 22px ridge #d4af37;
  padding: 8px;
}

/* Topbar */

nav {
  margin: 0;
  background-color: #181717c4;
  width: 100%;
  display: flex;
  gap: 40px;
  overflow: hidden;
  align-items: center;
  justify-content: center;
  font-size:1.5em;
  color: rgb(255, 255, 176);
  flex-wrap: wrap;
}
nav a {
  margin-right: clamp(6px, 1%,30px);
  font-size: clamp(16px, 4vw, 30px);
  color: rgb(255, 255, 176);
  font-weight: bold;
}
nav a:last-child {
  margin-right: 0;
}

/* White Text */

h1 {
  color: white;
}
h4 {
  color: white;
}
h2 {
  color: white;
}

a {
  color: white;
  text-decoration: none;
  margin: 8px;
}
a:hover {
  color: rebeccapurple;
}
/* Linktree */

.link-tree img
{
  width:40px;
  height:auto;
  filter: invert(100%);
  margin-left: 10px;
  margin-right: 10px;
  margin-top: 15px;
}
.link-tree img:hover
{
  filter: invert(0.8) sepia(0.5) saturate(2);
  width:50px;
  margin-left: 5px;
  margin-right: 5px;
  margin-top: 5px;
}

/* Title Logo */

.title {
  animation-name: pop;
  animation-duration: 800ms;
  animation-iteration-count: infinite;
  animation-duration: 4s;
  animation-timing-function: ease-in-out;
  width: max(30%, 360px);
  aspect-ratio: auto;
}
section::-webkit-scrollbar {
  display: none;
}
@keyframes pop {
  0% {
    transform: scale(0.9);
  }
  50% {
    transform: scale(1);
  }
  100% {
    transform: scale(0.9);
  }
}

/* Side Content */

.sideContent {
  width: 20%;
  height: 600px;
}
.sideContent img {
  width: 100%;
  height: auth;
  margin-bottom: 300px;
}
@media all and (max-width: 1000px) {
  .sideContent {
    /* Hide Content*/
    display: none;
    visibility: hidden;
  }
  .tree {
    display: none;
    visibility: hidden;
  }
  .menuContainer {
    width: 90%;
  }
}
